matrix:
  bazel: ["7.x", "8.x", "rolling"]

tasks:
  verify_targets:
    name: "Build targets under //lib"
    platform: ubuntu2004
    bazel: ${{ bazel }}
    build_targets:
    - '@apple_support//lib/...'

bcr_test_module:
  module_path: "."

  matrix:
    bazel: ["7.x", "8.x", "rolling"]

  tasks:
    run_tests:
      name: "Run test targets"
      platform: "macos_arm64"
      bazel: ${{ bazel }}
      test_targets:
      - '//test/...'
      - '--'
      # Needs visionOS SDK
      - '-//test:binary_visionos_arm64_simulator_test'
      - '-//test:binary_visionos_device_test'
      - '-//test:binary_relative_oso_test'
      - '-//test:linking_generate_cpp_dsym_test'
